---
search:
  tags:
    - Products
    - PUT
seo:
  description: >-
    Configure descriptive product… Reference for the PUT
    /v1/organizations/{orgId}/products/{productId}/packaging endpoint in the
    Stashtab Vault Warehouse API.
sidebar:
  label: Configure descriptive product packaging
  badge: PUT
title: Configure descriptive product packaging
type: openapi-operation
---
`PUT /v1/organizations/{orgId}/products/{productId}/packaging`

**Request body** (`application/json`, required)

- `unitLabel` (string, required)
- `unitsPerCarton` (integer | null, required)
- `unitsPerCase` (integer | null, required)
- `expectedRevision` (integer, required)
- `submissionKey` (string, required)

Request body example:

```json
{
  "unitLabel": "string",
  "unitsPerCarton": 1,
  "unitsPerCase": 1,
  "expectedRevision": 0,
  "submissionKey": "stringst"
}
```

**Responses**

- `200` — Success
- `default` — Error

Response example, 200:

```json
{
  "data": {
    "effects": [
      "string"
    ],
    "operationId": "string",
    "outcome": "confirmed",
    "packaging": {
      "unitLabel": "string",
      "unitsPerCarton": 1,
      "unitsPerCase": 1,
      "revision": 0
    }
  },
  "meta": {
    "requestId": "string"
  }
}
```
